<% // if (typeof postslist == undefined) { %>
<% var postslist = collections.posts %> 
<% // } %>

<% for (const post of postslist) { %>

<% 
// deal with tags first 
let firstTag;
let tagsHTML = '';

 for (const tag of post.data.tags) { %>

  <% if (tag != "posts") { %>
  <% if (typeof firstTag == 'undefined') {
       firstTag = tag; } %>
  <% 
    tagsHTML += `
    <div class="control">
      <div class="tags has-addons devicon">
        <div class="tag ${tag} tag-icon is-light"></div>
        <a href="/tags/${tag}" data-swup-preload class="tag">
          ${tag}
        </a>
      </div>
    </div>
    `; 
%>
  <% }} %>
  <article class="post-item <%- firstTag %>">
    <h1 class="title">
      <a href="<%- post.url %>" data-swup-preload><%- post.data.title %></a>
    </h1>
    <p>
      <%- post.data.summary -%> 
    </p>


    <div class="post-tags">
      <div class="field is-grouped is-grouped-multiline taglist">
        <%- tagsHTML %>
      </div>
    </div>
  </article>



<% }
debugger
%>